
PROJECT(TextureGen)

ADD_EXECUTABLE(TextureGen
  ${TUMORSIM_ROOT}/Misc/Log.cxx
  ${TUMORSIM_ROOT}/Misc/Timer.cxx
  ${TUMORSIM_ROOT}/Misc/KMeansEstimator.cxx
  ${TUMORSIM_ROOT}/Misc/MersenneTwisterRNG.cxx
  ${TUMORSIM_ROOT}/Misc/TreeStructuredVectorQuantizer.cxx
  textgen_main.cxx
)

TARGET_LINK_LIBRARIES(TextureGen ${ITK_LIBRARIES} ${VTK_LIBRARIES})
